Update a benefit
curl --request PUT \
--url https://api.spacebring.com/benefits/v1/{benefitId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"benefit": {
"categoryRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"application": {
"allowance": "unlimited",
"buttonLabel": "apply",
"confirmationEmail": {
"enabled": false,
"template": ""
},
"enabled": true
},
"description": "",
"featured": false,
"media": [
{
"key": "<string>"
}
],
"subtitle": "",
"visibility": "public"
}
}
'import requests
url = "https://api.spacebring.com/benefits/v1/{benefitId}"
payload = { "benefit": {
"categoryRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"application": {
"allowance": "unlimited",
"buttonLabel": "apply",
"confirmationEmail": {
"enabled": False,
"template": ""
},
"enabled": True
},
"description": "",
"featured": False,
"media": [{ "key": "<string>" }],
"subtitle": "",
"visibility": "public"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
benefit: {
categoryRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
application: {
allowance: 'unlimited',
buttonLabel: 'apply',
confirmationEmail: {enabled: false, template: ''},
enabled: true
},
description: '',
featured: false,
media: [{key: '<string>'}],
subtitle: '',
visibility: 'public'
}
})
};
fetch('https://api.spacebring.com/benefits/v1/{benefitId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"benefit": {
"application": {
"confirmationEmail": {
"enabled": true,
"template": "<string>"
},
"enabled": true
},
"categoryRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"featured": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtitle": "<string>",
"title": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"type": "<string>"
}Benefits
Update a benefit
Update a benefit.
OAuth
Required scopes:benefitsPUT
/
benefits
/
v1
/
{benefitId}
Update a benefit
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Path Parameters
The id of the benefit
Body
application/json
Benefit to update.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I